Skip to content

Visit Reasons

Endpoints to retrieve visit reasons supported by Zocdoc.

Get visit reasons

Request

Get visit reasons with optional filtering by specialty

Security
ClientCredentialsFlow or AuthorizationCodeFlow
Query
pageinteger, [ 0 .. 200 ]

The zero indexed page of results. Default is 0. Maximum is 200.

page_sizeinteger, [ 1 .. 500 ]

The number of results to return per page. Default is 100. Maximum is 500.

specialty_idstring

Filter by primary specialty id

curl -i -X GET \
  'https://api-developer-sandbox.zocdoc.com/v1/visit_reasons?page=0&page_size=1&specialty_id=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
request_idstringrequired

Unique request identifier for tracing

pageintegerrequired

The zero based index of the current page.

page_sizeintegerrequired

The size of the current page.

total_countintegerrequired

The total number of result items.

next_urlstringrequired

A link to the next page of results; null if this is the last page of results.

dataArray of objects(VisitReasonData)required
Response
{ "request_id": "string", "page": 0, "page_size": 0, "total_count": 0, "next_url": "string", "data": [ {} ] }